"""@Author: Rayane AMROUCHE

Report generation functions.
"""
from typing import Any
import sweetviz as sv  # type: ignore
import pandas as pd  # type: ignore


def make_eda_report(__df: pd.DataFrame, **kwargs: int) -> Any:
    """Generates an EDA report with sweetviz.

    Args:
        __df (pd.DataFrame): Dataframa for which we want to do an EDA.

    Returns:
        Any: EDA report generated by sweetviz.
    """
    report = sv.analyze(__df, **kwargs)
    return report
